gtkmm: Gtk::NumerableIcon Class Reference

gtkmm 3.1.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gtk::NumerableIcon Class Reference

A Gio::Icon that allows numbered emblems. More...

Inheritance diagram for Gtk::NumerableIcon:
[legend]
Collaboration diagram for Gtk::NumerableIcon:
[legend]

List of all members.

## Public Member Functions
virtual | ~NumerableIcon ()
GtkNumerableIcon* | gobj ()
| Provides access to the underlying C GObject.
const GtkNumerableIcon* | gobj () const
| Provides access to the underlying C GObject.
GtkNumerableIcon* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< StyleContext > | get_style_context ()
Glib::RefPtr< const StyleContext > | get_style_context () const
void | set_style_context (const Glib::RefPtr< StyleContext >& style)
int | get_count () const
void | set_count (int count)
Glib::ustring | get_label () const
void | set_label (const Glib::ustring& label)
void | set_background_gicon (const Glib::RefPtr< Gio::Icon >& icon)
Glib::RefPtr< Gio::Icon > | get_background_gicon ()
Glib::RefPtr< const Gio::Icon > | get_background_gicon () const
void | set_background_icon_name (const Glib::ustring& icon_name)
Glib::ustring | get_background_icon_name () const
Glib::PropertyProxy< int > | property_count ()
| The count of the emblem currently displayed.
Glib::PropertyProxy_ReadOnly< int > | property_count () const
| The count of the emblem currently displayed.
Glib::PropertyProxy < Glib::ustring > | property_label ()
| The label to be displayed over the icon.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_label () const
| The label to be displayed over the icon.
Glib::PropertyProxy < Glib::RefPtr< StyleContext > > | property_style_context ()
| The style context to theme the icon appearance.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< StyleContext > > | property_style_context () const
| The style context to theme the icon appearance.
Glib::PropertyProxy < Glib::RefPtr< Gio::Icon > > | property_background_icon ()
| The icon for the number emblem background.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gio::Icon > > | property_background_icon () const
| The icon for the number emblem background.
Glib::PropertyProxy < Glib::ustring > | property_background_icon_name ()
| The icon name for the number emblem background.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_background_icon_name () const
| The icon name for the number emblem background.
## Static Public Member Functions
static Glib::RefPtr < NumerableIcon > | create (const Glib::RefPtr< Gio::Icon >& icon)
static Glib::RefPtr < NumerableIcon > | create (const Glib::RefPtr< Gio::Icon >& icon, const Glib::RefPtr< StyleContext >& context)
## Protected Member Functions
| NumerableIcon (const Glib::RefPtr< Gio::Icon >& icon)
| NumerableIcon (const Glib::RefPtr< Gio::Icon >& icon, const Glib::RefPtr< StyleContext >& style_context)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::NumerableIcon > | wrap (GtkNumerableIcon* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Gio::Icon that allows numbered emblems.

GtkNumerableIcon is a subclass of EmblemedIcon that can show a number or short string as an emblem. The number can be overlayed on top of another emblem, if desired.

It supports theming by taking font and color information from a provided StyleContext. See set_style_context().

Since gtkmm 3.0:

## Constructor & Destructor Documentation

virtual Gtk::NumerableIcon::~NumerableIcon | ( |  | ) | `[virtual]`

Gtk::NumerableIcon::NumerableIcon | ( | const Glib::RefPtr< Gio::Icon > & | icon | ) | `[explicit, protected]`

Gtk::NumerableIcon::NumerableIcon | ( | const Glib::RefPtr< Gio::Icon > & | icon,
|  | const Glib::RefPtr< StyleContext >& | style_context
| ) |  | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<NumerableIcon> Gtk::NumerableIcon::create | ( | const Glib::RefPtr< Gio::Icon > & | icon | ) | `[static]`

Reimplemented from Gio::EmblemedIcon.

static Glib::RefPtr<NumerableIcon> Gtk::NumerableIcon::create | ( | const Glib::RefPtr< Gio::Icon > & | icon,
|  | const Glib::RefPtr< StyleContext >& | context
| ) |  | `[static]`

Glib::RefPtr<Gio::Icon> Gtk::NumerableIcon::get_background_gicon | ( |  | ) |

Glib::RefPtr<const Gio::Icon> Gtk::NumerableIcon::get_background_gicon | ( |  | ) | const

Glib::ustring Gtk::NumerableIcon::get_background_icon_name | ( |  | ) | const

int Gtk::NumerableIcon::get_count | ( |  | ) | const

Glib::ustring Gtk::NumerableIcon::get_label | ( |  | ) | const

Glib::RefPtr<const StyleContext> Gtk::NumerableIcon::get_style_context | ( |  | ) | const

Glib::RefPtr<StyleContext> Gtk::NumerableIcon::get_style_context | ( |  | ) |

const GtkNumerableIcon* Gtk::NumerableIcon::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::EmblemedIcon.

GtkNumerableIcon* Gtk::NumerableIcon::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::EmblemedIcon.

GtkNumerableIcon* Gtk::NumerableIcon::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gio::EmblemedIcon.

Glib::PropertyProxy< Glib::RefPtr<Gio::Icon> > Gtk::NumerableIcon::property_background_icon | ( |  | ) |

The icon for the number emblem background.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gio::Icon> > Gtk::NumerableIcon::property_background_icon | ( |  | ) | const

The icon for the number emblem background.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::NumerableIcon::property_background_icon_name | ( |  | ) | const

The icon name for the number emblem background.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::NumerableIcon::property_background_icon_name | ( |  | ) |

The icon name for the number emblem background.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::NumerableIcon::property_count | ( |  | ) |

The count of the emblem currently displayed.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::NumerableIcon::property_count | ( |  | ) | const

The count of the emblem currently displayed.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::NumerableIcon::property_label | ( |  | ) |

The label to be displayed over the icon.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::NumerableIcon::property_label | ( |  | ) | const

The label to be displayed over the icon.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<StyleContext> > Gtk::NumerableIcon::property_style_context | ( |  | ) |

The style context to theme the icon appearance.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<StyleContext> > Gtk::NumerableIcon::property_style_context | ( |  | ) | const

The style context to theme the icon appearance.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::NumerableIcon::set_background_gicon | ( | const Glib::RefPtr< Gio::Icon > & | icon | ) |

void Gtk::NumerableIcon::set_background_icon_name | ( | const Glib::ustring & | icon_name | ) |

void Gtk::NumerableIcon::set_count | ( | int | count | ) |

void Gtk::NumerableIcon::set_label | ( | const Glib::ustring & | label | ) |

void Gtk::NumerableIcon::set_style_context | ( | const Glib::RefPtr< StyleContext >& | style | ) |

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::NumerableIcon > wrap | ( | GtkNumerableIcon * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/numerableicon.h